package textEditor;


public class InsertAction implements IAction {
	private Cursor c;
	private char inserted;
	
	public InsertAction(Cursor c, char inserted) {
		this.c = c;
		this.inserted = inserted;
	}
	
	@Override
	public void doIt() {
		c.insertCharacterAt(inserted);
		c.moveRight();
	}
}
